#include "stackgraph.h"

stackGraph::stackGraph()
{
    this->numberOfElements=0;
    this->tam = MAXSTACK;
    this->content=makeDinArray(MAXSTACK);
}

stackGraph::stackGraph(int number)
{
    this->numberOfElements=0;
    this->tam=number;
    this->content=makeDinArray(number);
}
void stackGraph::push(int element){
    if(this->numberOfElements<this->tam){
        this->content[this->numberOfElements]= element;
        this->numberOfElements++;
    }
}
int stackGraph::pop(){
    int result;
    this->numberOfElements--;
    result = this->content[this->numberOfElements];
    return result;
}
int stackGraph::getNumberOfElements(){
    return this->numberOfElements;
}
bool stackGraph::isEmpty(){
    bool result;
    if (this->numberOfElements>0)
        result = false;
    else
        result = true;
    return result;
}
void stackGraph::destroyStack(){
    destroyArray(this->content);
    this->content=NULL;
}
