#include "dinamicmatrix.h"

int ** makeDinMat(int fil){
    int **vp=NULL;
    int i, j;
    int mem=1;        /* flag para indicar que hay memoria para todas las filas */
    vp=(int **)calloc(fil, sizeof(int *));

    /* se reserva memoria para la tabla de punteros intermedia */
    if (vp!=NULL){
        for (i=0; i<fil && mem; i++){
            if ((vp[i]=(int *) calloc(fil, sizeof(int)))==NULL){
                mem=0;
            }
        }

        if (!mem) {
            for(j=0; j<i-1; j++){
                free (vp[j]);
            }

            free (vp);
            vp=NULL;     /* si no hay memoria se devuelve NULL */
        }
    }
    return vp;
}
void destroyMat(int ** matriz,int size){
    int j;
    for(j=0; j<size; j++)
        free (matriz[j]);
    free (matriz);
    matriz = NULL;
}

int * makeDinArray(int fil){
    int *vp=NULL;
    int i, j;
    int mem=1;        /* flag */
    vp=(int *)calloc(fil, sizeof(int *));


    if (vp==NULL){
                mem=0;

        }

        if (!mem) {

            free (vp);
            vp=NULL;     /* si no hay memoria se devuelve NULL */
        }

    return vp;
}

void destroyArray(int * matriz){
    free (matriz);
    matriz = NULL;
}
